const express = require('express');
const path = require('path');

const app = express();

app.use(express.static(path.join(__dirname, 'public')));


const paginaPrincipalController = function(req, res, next) {
	res.send("<h1>Página Principal</h1>");
}


const rutaController = (req,res,next) => {
	var numerodelaruta = req.params.numerodelaruta;
	res.send("<h1>Número de la ruta: "+numerodelaruta +"</h1><img src='/"+numerodelaruta+".jpg'/>")
}

const rutasController = (req, res, next) => {
	let template = "<h1>Rutas disponibles</h1><ul>"
	for (let i = 1; i < 31; i++) {
		template += "<li><a href='/ruta/"+i+"'>Ruta" + i + "</a></li>"
	}
	template +="</ul>"
	res.send(template)
}

const checkTime = (req,res,next) => {
	if ((new Date()).getHours() < 12) {
		res.send('<h1>Solo accesible a partir de las 12</h1>')
	} else {
		next();
	}
}

const defaultController = function(req, res, next) {
	res.status(404)
	res.send("<h1>Not found</h1>");
}

app.get('/', checkTime, paginaPrincipalController);
app.get('/ruta/:numerodelaruta([0-9]+)', checkTime, rutaController);
app.get('/rutas',checkTime, rutasController);
app.get('*', defaultController);

app.use((err,req,res,next) => {
	res.send(err.toString());
});

app.listen(8000);
